class_name FireRateAdditive extends Modifier

@export var fire_rate_bonus: float = 1.0 # +1 shot per second

func _init():
	id = "fire_rate_additive"
	display_name = "Rapid Fire"
	description = "Increases fire rate by %0.1f shots per second" % fire_rate_bonus
	modifier_type = ModifierType.ADDITIVE

func apply_stats_modification(stats: StatsComponent) -> void:
	stats.update_stat("ranged.attack_rate", stats.get_stat("ranged.attack_rate") + fire_rate_bonus)
